// +-------------------------------- DISCLAIMER ---------------------------------+
// |                                                                             |
// | This application program is provided to you free of charge as an example.   |
// | Despite the considerable efforts of Euresys personnel to create a usable    |
// | example, you should not assume that this program is error-free or suitable  |
// | for any purpose whatsoever.                                                 |
// |                                                                             |
// | EURESYS does not give any representation, warranty or undertaking that this |
// | program is free of any defect or error or suitable for any purpose. EURESYS |
// | shall not be liable, in contract, in torts or otherwise, for any damages,   |
// | loss, costs, expenses or other claims for compensation, including those     |
// | asserted by third parties, arising out of or in connection with the use of  |
// | this program.                                                               |
// |                                                                             |
// +-----------------------------------------------------------------------------+


// OeVProjectSampleDlg.h : header file
//

#if !defined(AFX_OEVPROJECTSAMPLEDLG_H__FAD5BE61_7FE7_4CD2_A692_88FAF46A02F8__INCLUDED_)
#define AFX_OEVPROJECTSAMPLEDLG_H__FAD5BE61_7FE7_4CD2_A692_88FAF46A02F8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// COeVProjectSampleDlg dialog


// Include Open eVision header file
#include "Open_eVision_1_2.h"
using namespace Euresys::Open_eVision_1_2;


class COeVProjectSampleDlg : public CDialog
{
// Construction
public:
	COeVProjectSampleDlg(CWnd* pParent = NULL);	// standard constructor


	// Open eVision objects
	EImageBW8 _image;
	EROIBW8 _roi;

	// Open eVision handle object
	enum EDragHandle _handle;


// Dialog Data
	//{{AFX_DATA(COeVProjectSampleDlg)
	enum { IDD = IDD_OEVPROJECTSAMPLE_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COeVProjectSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COeVProjectSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFilesLoad();
	afx_msg void OnFilesExit();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OEVPROJECTSAMPLEDLG_H__FAD5BE61_7FE7_4CD2_A692_88FAF46A02F8__INCLUDED_)
